Subject: [CFRG] Post-quantum authentication can be deployed now

From: Robert Ransom <[email-masked]>
Date: Thu, 22 Jul 2021 18:20:29 -0400

Post-quantum authentication has not received the same deployment
effort as forward secrecy using post-quantum cryptography thus far, in
part due to the belief that large quantum computers have not yet been
built.  The implicit assumption is that a quantum computer capable of
breaking the cryptosystems currently deployed could not be developed
and put into use without a public announcement.

I have written an implementation of PKP-based signatures, and
integrated it into OpenSSH and PuTTY.  The SSH patches also include an
NTRU-based key exchange which can easily be implemented in any SSH
implementation.

The software is available at https://github.com/rransom8774 .
A specification for PKPSIG is in progress.

Robert Ransom